### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
LocalVolSurface Class Reference

Local volatility surface derived from a Black vol surface. More...

`#include <ql/termstructures/volatility/equityfx/localvolsurface.hpp>`

Inheritance diagram for LocalVolSurface:
[legend]

List of all members.

## Public Member Functions

| LocalVolSurface (const Handle< BlackVolTermStructure > &blackTS, const Handle< YieldTermStructure > &riskFreeTS, const Handle< YieldTermStructure > &dividendTS, const Handle< Quote > &underlying)
| LocalVolSurface (const Handle< BlackVolTermStructure > &blackTS, const Handle< YieldTermStructure > &riskFreeTS, const Handle< YieldTermStructure > &dividendTS, Real underlying)
TermStructure interface
const Date & | referenceDate () const
| the date at which discount = 1.0 and/or variance = 0.0
DayCounter | dayCounter () const
| the day counter used for date/time conversion
Date | maxDate () const
| the latest date for which the curve can return values
VolatilityTermStructure interface
Real | minStrike () const
| the minimum strike for which the term structure can return vols
Real | maxStrike () const
| the maximum strike for which the term structure can return vols
Visitability
virtual void | accept (AcyclicVisitor &)

## Protected Member Functions

Volatility | localVolImpl (Time, Real) const
| local vol calculation

## Detailed Description

Local volatility surface derived from a Black vol surface.

For details about this implementation refer to "Stochastic Volatility and Local Volatility," in "Case Studies and Financial Modelling Course Notes," by Jim Gatheral, Fall Term, 2003

see www.math.nyu.edu/fellows_fin_math/gatheral/Lecture1_Fall02.pdf

Bug:
  this class is untested, probably unreliable.